#
# spec file for package gap-toricvarieties
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-toricvarieties
Summary:        GAP: A package to handle toric varieties
Version:        2012.12.22
Release:        bp153.1.12
License:        GPL-2.0
Group:          Productivity/Scientific/Math
URL:            http://wwwb.math.rwth-aachen.de/~gutsche/gap_packages/ToricVarieties

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/ToricVarieties-%version.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  gap-rpm-devel
Requires:       gap-convex >= 2012.04.03
Requires:       gap-core >= 4.5
Requires:       gap-gradedmodules >= 2012.03.09
Requires:       gap-gradedringforhomalg >= 2011.01.01
Suggests:       gap-toricideals >= 2011.01.01

%description
ToricVarieties provides data structures to handle toric varieties by
their commutative algebra structure and by their combinatorics. For
combinatorics, it uses the Convex package. Its goal is to provide a
suitable framework to work with toric varieties.

%prep
%setup -qn ToricVarieties

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Wed May 22 2013 jengelh@inai.de
- Initial package (version 2012.12.22) for build.opensuse.org
